Megosztás a következőn keresztül:


Cluster Principal Assignments - Get

Lekéri a Kusto-fürt principalAssignment parancsát.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Kusto/clusters/{clusterName}/principalAssignments/{principalAssignmentName}?api-version=2025-02-14

URI-paraméterek

Name In Kötelező Típus Description
clusterName
path True

string

pattern: ^.*$

A Kusto-fürt neve.

principalAssignmentName
path True

string

pattern: ^.*$

A Kusto principalAssignment neve.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

subscriptionId
path True

string

minLength: 1

A cél-előfizetés azonosítója.

api-version
query True

string

minLength: 1

A művelethez használandó API-verzió.

Válaszok

Name Típus Description
200 OK

ClusterPrincipalAssignment

Az Azure-művelet sikeresen befejeződött.

Other Status Codes

ErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory Oauth2-folyamat.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation a felhasználói fiók megszemélyesítése

Példák

KustoClusterPrincipalAssignmentsGet

Mintakérelem

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/clusters/kustoCluster/principalAssignments/kustoprincipal1?api-version=2025-02-14

Mintaválasz

{
  "name": "kustoCluster/kustoprincipal1",
  "type": "Microsoft.Kusto/Clusters/PrincipalAssignments",
  "id": "/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/Clusters/kustoCluster/PrincipalAssignments/kustoprincipal1",
  "properties": {
    "aadObjectId": "98765432-1234-1234-1234-123456789123",
    "principalId": "87654321-1234-1234-1234-123456789123",
    "principalName": "TestApp",
    "principalType": "App",
    "provisioningState": "Succeeded",
    "role": "AllDatabasesAdmin",
    "tenantId": "12345678-1234-1234-1234-123456789123",
    "tenantName": "tenantName"
  }
}

Definíciók

Name Description
ClusterPrincipalAssignment

Klaszter fő kiosztását jelöli.

ClusterPrincipalRole

Fürt egyszerű szerepköre.

createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

PrincipalType

Egyszerű típus.

ProvisioningState

Az erőforrás kiépített állapota.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

ClusterPrincipalAssignment

Klaszter fő kiosztását jelöli.

Name Típus Description
id

string

Az erőforrás teljes erőforrás-azonosítója. Example - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Az erőforrás neve

properties.aadObjectId

string

A szolgáltatásfő objektumazonosító az AAD (Azure active directory) területén

properties.principalId

string

A fürtnévhez rendelt egyszerű azonosító. Ez lehet egy felhasználói e-mail, alkalmazásazonosító vagy biztonsági csoport neve.

properties.principalName

string

A fő név

properties.principalType

PrincipalType

Egyszerű típus.

properties.provisioningState

ProvisioningState

Az erőforrás kiépített állapota.

properties.role

ClusterPrincipalRole

Fürt egyszerű szerepköre.

properties.tenantId

string

Az egyszerű bérlő azonosítója

properties.tenantName

string

Az igazgató bérlő neve

systemData

systemData

A createdBy és a modifiedBy adatokat tartalmazó Azure Resource Manager-metaadatok.

type

string

Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts"

ClusterPrincipalRole

Fürt egyszerű szerepköre.

Érték Description
AllDatabasesAdmin

AllDatabasesAdmin

AllDatabasesViewer

AllDatabasesViewer

AllDatabasesMonitor

AllDatabasesMonitor

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Típus Description
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Típus Description
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hiba célpontja.

ErrorResponse

Hibaválasz

Name Típus Description
error

ErrorDetail

A hibaobjektum.

PrincipalType

Egyszerű típus.

Érték Description
App

App

Group

Csoport

User

User

ProvisioningState

Az erőforrás kiépített állapota.

Érték Description
Running

Futás közben

Creating

Létrehozás

Deleting

Törlés

Succeeded

Sikerült

Failed

Meghiúsult

Moving

Megindító

Canceled

Érvénytelenített

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.